'use strict';

var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('setting.routes');

module.config(function($stateProvider) {
  $stateProvider
    .state('setting-version', {
      url: '/setting/version',
      templateUrl: 'views/setting/version.tpl.html',
      controller: 'VersionCtrl',
      data: {
        title: '版本'
      }
    })
    .state('setting-aboutus', {
      url: '/setting/aboutus',
      templateUrl: 'views/setting/aboutus.tpl.html',
      controller: 'AboutUsCtrl',
      data: {
        title: '关于我们'
      }
    })
    .state('setting-userinfo', {
      url: '/setting/:userId/userinfo',
      templateUrl: 'views/setting/userinfo.tpl.html',
      controller: 'UserinfoCtrl',
      data: {
        title: '用户信息'
      }
    })
    .state('setting-filecache', {
      url: '/setting/filecache',
      templateUrl: 'views/setting/filecache.tpl.html',
      controller: 'FileCacheCtrl',
      data: {
        title: '文件缓存'
      }
    })
    .state('setting_assist', {
      url: '/setting/assist',
      controller: 'assistCtrl',
      templateUrl: 'views/setting/assist.tpl.html'
    });
});
